apiVersion: apps/v1
kind: Deployment
metadata:
  name: palindrome
  labels:
    app: go
spec:
  replicas: 3
  selector:
    matchLabels:
      app: go
  strategy:
    type: RollingUpdate
    rollingUpdate:
      maxSurge: 1
      maxUnavailable: 33%
  template:
    metadata:
      labels:
        app: go
    spec:
      containers:
        - name: go
          image: cnjioru/palindrome:<VERSION>
          ports:
            - containerPort: 8080
          livenessProbe:
            httpGet:
              path: /api/v1/palindrome
              port: 8080
            initialDelaySeconds: 2
            periodSeconds: 2
          readinessProbe:
            httpGet:
              path: /api/v1/palindrome
              port: 8080
            initialDelaySeconds: 2
            periodSeconds: 2